﻿<?php
// セッション開始
session_start();

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';

// DB処理
if (isset($_SESSION['add'])) {
  $dbError = [];
  try {
    $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);

    // 値取得
    $item    = isset($_SESSION['add']['item'])    ? $_SESSION['add']['item']    : NULL;
    $price   = isset($_SESSION['add']['price'])   ? $_SESSION['add']['price']   : NULL;
    $stock   = isset($_SESSION['add']['stock'])   ? $_SESSION['add']['stock']   : NULL;
    $keyword = isset($_SESSION['add']['keyword']) ? $_SESSION['add']['keyword'] : NULL;
    $maker   = isset($_SESSION['add']['maker'])   ? $_SESSION['add']['maker']   : NULL;

    // データ追加
    $sqlInsert = 'INSERT INTO stationery SET item=:item, price=:price, stock=:stock, keyword=:keyword, maker=:maker';
    $stmtInsert = $pdo->prepare($sqlInsert);
    $stmtInsert->bindParam(':item', $item, PDO::PARAM_STR);
    $stmtInsert->bindParam(':price', $price, PDO::PARAM_INT);
    $stmtInsert->bindParam(':stock', $stock, PDO::PARAM_INT);
    $stmtInsert->bindParam(':keyword', $keyword, PDO::PARAM_STR);
    $stmtInsert->bindParam(':maker', $maker, PDO::PARAM_INT);
    $stmtInsert->execute();
    $countInsert = $stmtInsert->rowCount();
  } catch (PDOException $e) {
    $dbError[] = $e->getMessage();
  } finally {
    $pdo = null;
  }
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // 値
  d($item, '$item');
  d($price, '$price');
  d($stock, '$stock');
  d($keyword, '$keyword');
  d($maker, '$maker');
  // DB
  d($dbError, '$dbError');
  // 商品追加
  d($sqlInsert, '$sqlInsert');
  d($stmtInsert, '$stmtInsert');
  d($countInsert, '$countInsert');
  // exit();
}

// ビューファイル選択
if (!isset($_SESSION['add'])) {
  $error = 'セッションが切れました。';
  require __DIR__ . '/view/_error.php';
} else {
  if (count($dbError) > 0) {
    $error = 'DBエラーが発生しました。';
    require __DIR__ . '/view/_error.php';
  } else {
    require __DIR__ . '/view/_add03.php';
  }
}

// セッション削除
unset($_SESSION['add']);
