﻿<?php
// セッション開始
session_start();
session_regenerate_id(TRUE);

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';

// DB処理
$dbError = [];
try {
  $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);

  // ID確認
  $idError = [];
  $checkName = '商品';
  if (isset($_GET['id'])) {
    // DBデータ取得
    $id = $_GET['id'];
    if (ctype_digit($id)) {
      $sqlItem = 'SELECT * FROM stationery WHERE id=:id';
      $stmtItem = $pdo->prepare($sqlItem);
      $stmtItem->bindParam(':id', $id, PDO::PARAM_INT);
      $stmtItem->execute();
      $countItem = $stmtItem->rowCount();
      if ($countItem === 1) {
        // 値
        $itemData = $stmtItem->fetch(PDO::FETCH_ASSOC);
        $item    = $itemData['item'];
        $price   = $itemData['price'];
        $stock   = $itemData['stock'];
        $keyword = $itemData['keyword'];
        $maker   = $itemData['maker'];
      } else {
        $idError[] = "選択した{$checkName}が存在しません";
      }
    } else {
      $idError[] = "{$checkName}番号が不正な値です";
    }
  } else if (count($_SESSION['change']) === 6) {
    // セッションデータ取得
    $id = $_SESSION['change']['id'];
    // 値
    $item    = isset($_SESSION['change']['item'])    ? $_SESSION['change']['item']    : NULL;
    $price   = isset($_SESSION['change']['price'])   ? $_SESSION['change']['price']   : NULL;
    $stock   = isset($_SESSION['change']['stock'])   ? $_SESSION['change']['stock']   : NULL;
    $keyword = isset($_SESSION['change']['keyword']) ? $_SESSION['change']['keyword'] : NULL;
    $maker   = isset($_SESSION['change']['maker'])   ? $_SESSION['change']['maker']   : NULL;
  } else {
    $idError[] = "{$checkName}を選択していません";
  }

  // メーカー選択用データ取得
  $sqlTrader = 'SELECT * FROM trader';
  $stmtTrader = $pdo->query($sqlTrader);
  $countTrader = $stmtTrader->rowCount();
} catch (PDOException $e) {
  $dbError[] = $e->getMessage();
} finally {
  $pdo = null;
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // GET
  d($_GET, '$_GET');
  // ID
  d($idError, '$idError');
  d($id, '$id');
  // DB
  d($dbError, '$dbError');
  // 編集商品
  d($sqlItem, '$sqlItem');
  d($stmtItem, '$stmtItem');
  d($countItem, '$countItem');
  // 値
  d($item, '$item');
  d($price, '$price');
  d($stock, '$stock');
  d($keyword, '$keyword');
  d($maker, '$maker');
  // メーカー選択
  d($sqlTrader, '$sqlTrader');
  d($stmtTrader, '$stmtTrader');
  d($countTrader, '$countTrader');
  // exit();
}

// ビューファイル選択
if (count($dbError) > 0) {
  $error = 'DBエラーが発生しました。';
  require __DIR__ . '/view/_error.php';
} else {
  if (count($idError) > 0) {
    $error = $idError;
    require __DIR__ . '/view/_error.php';
  } else {
    $_SESSION['change']['id'] = $id;
    require __DIR__ . '/view/_change01.php';
  }
}
