﻿<?php
// セッション開始
session_start();

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';


// DB処理
if (isset($_SESSION['change'])) {
  $dbError = [];
  try {
    $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);

    // 値取得
    $id      = isset($_SESSION['change']['id'])      ? $_SESSION['change']['id']      : NULL;
    $item    = isset($_SESSION['change']['item'])    ? $_SESSION['change']['item']    : NULL;
    $price   = isset($_SESSION['change']['price'])   ? $_SESSION['change']['price']   : NULL;
    $stock   = isset($_SESSION['change']['stock'])   ? $_SESSION['change']['stock']   : NULL;
    $keyword = isset($_SESSION['change']['keyword']) ? $_SESSION['change']['keyword'] : NULL;
    $maker   = isset($_SESSION['change']['maker'])   ? $_SESSION['change']['maker']   : NULL;

    // データ追加
    $sqlUpdate = 'UPDATE stationery SET item=:item, price=:price, stock=:stock, keyword=:keyword, maker=:maker WHERE id=:id';
    $stmtUpdate = $pdo->prepare($sqlUpdate);
    $stmtUpdate->bindParam(':item', $item, PDO::PARAM_STR);
    $stmtUpdate->bindParam(':price', $price, PDO::PARAM_INT);
    $stmtUpdate->bindParam(':stock', $stock, PDO::PARAM_INT);
    $stmtUpdate->bindParam(':keyword', $keyword, PDO::PARAM_STR);
    $stmtUpdate->bindParam(':maker', $maker, PDO::PARAM_INT);
    $stmtUpdate->bindParam(':id', $id, PDO::PARAM_INT);
    $stmtUpdate->execute();
    $countUpdate = $stmtUpdate->rowCount();
  } catch (PDOException $e) {
    $dbError[] = $e->getMessage();
  } finally {
    $pdo = null;
  }
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // 値
  d($id, '$id');
  d($item, '$item');
  d($price, '$price');
  d($stock, '$stock');
  d($keyword, '$keyword');
  d($maker, '$maker');
  // DB
  d($dbError, '$dbError');
  // 商品修正
  d($sqlUpdate, '$sqlUpdate');
  d($stmtUpdate, '$stmtUpdate');
  d($countUpdate, '$countUpdate');
  // exit();
}

// ビューファイル選択
if (!isset($_SESSION['change'])) {
  $error = 'セッションが切れました。';
  require __DIR__ . '/view/_error.php';
} else {
  if (count($dbError) > 0) {
    $error = 'DBエラーが発生しました。';
    require __DIR__ . '/view/_error.php';
  } else {
    if ($countUpdate === 0) {
      $error = '商品を修正していません。変更前と変更後が同じ内容の可能性があります。';
      require __DIR__ . '/view/_error.php';
    } else {
      require __DIR__ . '/view/_change03.php';
    }
  }
}

// セッション削除
unset($_SESSION['change']);
