﻿<?php
// セッション開始
session_start();

// 共通関数・定数読み込み
require_once __DIR__ . '/functions.php';


// DB処理
if (isset($_SESSION['delete'])) {
  $dbError = [];
  try {
    $pdo = new PDO(DB_NAME, DB_USER, DB_PASS);

    // 値取得
    $id = isset($_SESSION['delete']['id']) ? $_SESSION['delete']['id'] : NULL;

    // データ削除
    $sqlDelete = 'DELETE FROM stationery WHERE id=:id';
    $stmtDelete = $pdo->prepare($sqlDelete);
    $stmtDelete->bindParam(':id', $id, PDO::PARAM_INT);
    $stmtDelete->execute();
    $countDelete = $stmtDelete->rowCount();
  } catch (PDOException $e) {
    $dbError[] = $e->getMessage();
  } finally {
    $pdo = null;
  }
}

// デバッグ
if (false) {
  // SESSION
  d($_SESSION, '$_SESSION');
  // 値
  d($id, '$id');
  // DB
  d($dbError, '$dbError');
  // 商品削除
  d($sqlDelete, '$sqlDelete');
  d($stmtDelete, '$stmtDelete');
  d($countDelete, '$countDelete');
  // exit();
}

// ビューファイル選択
if (!isset($_SESSION['delete'])) {
  $error = 'セッションが切れました。';
  require __DIR__ . '/view/_error.php';
} else {
  if (count($dbError) > 0) {
    $error = 'DBエラーが発生しました。';
    require __DIR__ . '/view/_error.php';
  } else {
    if ($countDelete === 0) {
      $error = '商品を削除できませんでした。';
      require __DIR__ . '/view/_error.php';
    } else {
      require __DIR__ . '/view/_delete02.php';
    }
  }
}

// セッション削除
unset($_SESSION['delete']);
