<?php
$pageName = '商品登録入力画面｜';
require_once __DIR__ . '/parts/_head.php';
?>

<div class="Layout">
  <div class="Layout_inner narrowArea">
    <div class="Layout_header">
      <h1 class="Layout_title mainTitle">商品登録入力画面</h1>
    </div>
    <div class="Layout_body">
      <form action="add02.php" method="post" class="Edit">
        <fieldset class="Edit_fieldset">
          <legend class="Edit_legend">新しい商品の情報</legend>
          <?php if (isset($valError)) : ?>
            <div class="Error">
              <ul class="Error_list">
                <?php foreach ($valError as $value) : ?>
                  <li class="Error_item"><?php echo h($value); ?></li>
                <?php endforeach; ?>
              </ul>
            </div>
          <?php endif; ?>
          <dl class="Edit_list">
            <dt class="Edit_dt">
              <label class="Edit_label" for="item">
                商品名 <span class="Edit_require">※必須</span>
              </label>
            </dt>
            <dd class="Edit_dd -form">
              <input name="item" type="text" id="item" value="<?php echo h($item); ?>" class="Edit_input">
            </dd>
            <dt class="Edit_dt">
              <label class="Edit_label" for="price">
                価格 <span class="Edit_require">※必須</span>
              </label>
            </dt>
            <dd class="Edit_dd -form">
              <input name="price" type="text" id="price" value="<?php echo h($price); ?>" class="Edit_input">円
            </dd>
            <dt class="Edit_dt">
              <label class="Edit_label" for="stock">
                在庫 <span class="Edit_note">※省略時 0</span>
              </label>
            </dt>
            <dd class="Edit_dd -form">
              <input name="stock" type="text" id="stock" value="<?php echo h($stock); ?>" class="Edit_input">
            </dd>
            <dt class="Edit_dt">
              <label class="Edit_label" for="keyword">
                キーワード
              </label>
            </dt>
            <dd class="Edit_dd -form">
              <input name="keyword" type="text" id="keyword" value="<?php echo h($keyword); ?>" class="Edit_input">
            </dd>
          </dl>
        </fieldset>
        <fieldset class="Edit_fieldset">
          <legend class="Edit_legend">メーカーの情報</legend>
          <dl class="Edit_list">
            <dt class="Edit_dt">メーカー <span>※必須</span></dt>
            <dd class="Edit_dd -form">
              <?php while ($trData = $stmtTrader->fetch(PDO::FETCH_ASSOC)) : ?>
                <label class="Edit_label">
                  <?php if ($trData['m_id'] === $maker) : ?>
                    <input name="maker" type="radio" value="<?php echo h($trData['m_id']); ?>" class="Edit_radio" checked>
                  <?php else : ?>
                    <input name="maker" type="radio" value="<?php echo h($trData['m_id']); ?>" class="Edit_radio">
                  <?php endif; ?>
                  <?php echo h($trData['company']); ?>
                </label>
              <?php endwhile; ?>
            </dd>
          </dl>
        </fieldset>
        <div class="Edit_submit">
          <input class="Edit_btn btn -type2" type="submit" value="確認画面に進む">
        </div>
      </form>
    </div>
    <div class="Layout_footer">
      <a class="Layout_btn btn -type1" href="index.php" onclick="return confirm('一覧に戻りますか？')">一覧に戻る</a>
    </div>
  </div>
</div>

<?php
require_once __DIR__ . '/parts/_foot.php';
?>
