<?php
$pageName = '';
require_once __DIR__ . '/parts/_head.php';
?>

<div class="Layout">
  <div class="Layout_inner narrowArea">
    <div class="Layout_header">
      <h1 class="Layout_title mainTitle">商品一覧</h1>
      <div class="Layout_meta">
        <div class="Layout_total"><?php echo h($countStationery); ?>件</div>
      </div>
    </div>
    <div class="Layout_body">
      <?php
      require __DIR__ . '/parts/_Search08.php';
      ?>
      <?php if ($countStationery > 0) : ?>
        <table class="Table">
          <tr class="Table_tr">
            <th class="Table_th">ID</th>
            <th class="Table_th">商品名</th>
            <th class="Table_th">価格</th>
            <th class="Table_th">在庫</th>
            <th class="Table_th">キーワード</th>
            <th class="Table_th">メーカー</th>
            <th class="Table_th">編集</th>
            <th class="Table_th">削除</th>
          </tr>
          <?php while ($data = $stmtStationery->fetch(PDO::FETCH_ASSOC)) : ?>
            <tr class="Table_tr">
              <td class="Table_td -id">
                <?php echo h($data['id']); ?>
              </td>
              <td class="Table_td -item">
                <?php echo h($data['item']); ?>
              </td>
              <td class="Table_td -price">
                <?php echo h($data['price']); ?>円
              </td>
              <td class="Table_td -stock">
                <?php echo h($data['stock']); ?>
              </td>
              <td class="Table_td -keyword">
                <?php echo h($data['keyword']); ?>
              </td>
              <td class="Table_td -maker">
                <?php echo h($data['company']); ?>
              </td>
              <td class="Table_td -change">
                <a href="change01.php?id=<?php echo h($data['id']); ?>">編集</a>
              </td>
              <td class="Table_td -delete">
                <a href="delete01.php?id=<?php echo h($data['id']); ?>">削除</a>
              </td>
            </tr>
          <?php endwhile; ?>
        </table>
      <?php else : ?>
        <p>商品がありません</p>
      <?php endif; ?>
    </div>
    <div class="Layout_footer">
      <a class="Layout_btn btn -type2" href="add01.php">新規登録</a>
    </div>
  </div>
</div>

<?php
require_once __DIR__ . '/parts/_foot.php';
?>
